package mapdemo;

import java.util.EnumMap;
import java.util.HashMap;
import java.util.Map;

/**
 * Two maps between string values and enumerated values.
 *
 * <p>
 * File: <code>Maps.java</code>
 *
 * @author J. Stanley Warford
 */
class Maps {

    public static final Map<String, Planet> planetTable;
    public static final Map<Planet, String> planetStringTable;

    static {
        planetTable = new HashMap<>();
        planetTable.put("mercury", Planet.P_MERCURY);
        planetTable.put("venus", Planet.P_VENUS);
        planetTable.put("earth", Planet.P_EARTH);
        planetTable.put("mars", Planet.P_MARS);
        planetTable.put("jupiter", Planet.P_JUPITER);
        planetTable.put("saturn", Planet.P_SATURN);
        planetTable.put("uranus", Planet.P_URANUS);
        planetTable.put("neptune", Planet.P_NEPTUNE);
        planetTable.put("pluto", Planet.P_PLUTO);

        planetStringTable = new EnumMap<>(Planet.class);
        planetStringTable.put(Planet.P_MERCURY, "Mercury");
        planetStringTable.put(Planet.P_VENUS, "Venus");
        planetStringTable.put(Planet.P_EARTH, "Earth");
        planetStringTable.put(Planet.P_MARS, "Mars");
        planetStringTable.put(Planet.P_JUPITER, "Jupiter");
        planetStringTable.put(Planet.P_SATURN, "Saturn");
        planetStringTable.put(Planet.P_URANUS, "Uranus");
        planetStringTable.put(Planet.P_NEPTUNE, "Neptune");
        planetStringTable.put(Planet.P_PLUTO, "Pluto");
    }
}
